<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="%ServerUrl%/StorageServer/Fetch.aspx?BaseName=%BaseName%&amp;TransformID=464D8B6E-5A2F-4BFD-A293-631C813DDF56"/>
				<title>Список функцій</title>
			</head>
			<body>
				<span class="header">
					Список функцій
				</span>
				<br/>																
				<xsl:for-each select="//FunctionList/MainInfo/MainInfoRow">
					<xsl:if test="position()=1">
						<xsl:text disable-output-escaping="yes">
							&lt;span class="header2"&gt;Зареєстровані функції&lt;/span&gt;
							&lt;table border="0" cellpadding="0" cellspacing="0" style="BORDER-COLLAPSE: collapse" bordercolor="black" width="100%"&gt;
								&lt;tr&gt;
									&lt;th class="tableheader" align="left"&gt;Ім'я&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Серверний клас&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Серверна збірка&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Клас інтерфейсу користувача&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Початкова функція&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Кінцева функція&lt;/th&gt;
									&lt;th class="tableheader" align="left"&gt;Інтервал опиту&lt;/th&gt;
								&lt;/tr&gt;
						</xsl:text>
					</xsl:if>
					<tr>
						<td class="field" width="30%"><xsl:value-of select="@Name"/></td>
						<td class="field" width="20%"><xsl:value-of select="@ServerClass"/></td>
						<td class="field" width="20%"><xsl:value-of select="@ServerAssembly"/></td>
						<td class="field" width="20%"><xsl:value-of select="@UIClass"/></td>
						<td class="field" width="5%"><xsl:if test="@IsStart=1">Так</xsl:if></td>
						<td class="field" width="5%"><xsl:if test="@IsStop=1">Так</xsl:if></td>
						<td class="field" width="10%"><xsl:value-of select="@PoolingInterval"/></td>
					</tr>
					<xsl:if test="position()=last()">
						<xsl:text disable-output-escaping="yes">
							&lt;/table&gt;
							&lt;br/&gt;
						</xsl:text>
					</xsl:if>
				</xsl:for-each>				
				<hr/>
				<p class="smalltext">
				Для того щоб змінити зовнішній вигляд даного звіту Ви повинні змінити шаблон 
				&lt;FunctionList.ru.xslt&gt;.
				<br/>
				DocsVision © 2003-2009. Всі права захищені.
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
